class TicTacToe {
    private Spielfeld spielfeld = new Spielfeld();
    private boolean spielerAmZug = true;
    /**
     * Spielmethode mit Spielschleife. Abwechselnd dürfen der Spieler und der Computer ein Zeichen setzen.
     * 
     */
    public void spiele(){

        /* 
         * Die Methode ueberpruefeSpielfeldIstVoll gibt true zurück, wenn das Spielfeld voll ist, ansonsten false
         */

        //Spielschleife 
        while (spielfeld.ueberpruefeSieger() == false && spielfeld.ueberpruefeSpielfeldVoll() == false){
            if(spielerAmZug){
                spielerZug();
            }else{
                computerZug();
            }
            
        }
    }

    /**
     * Zug des Spielers, der auf der Konsole das gewählte Feld angibt.
     *
     */
    private void spielerZug(){

        System.out.println("Spieler, bitte gib deinen Zug ein! Die Felder sind dabei wie folgt nummeriert: ");
        System.out.println("0 | 1 | 2");
        System.out.println("3 | 4 | 5");
        System.out.println("6 | 7 | 8");

        int feld = spielfeld.liesEingabe();
        while(spielfeld.ueberpruefeFeldFrei(feld) == false){
            System.out.println("Das Feld ist bereits belegt! Versuche es nocheinmal!");
            feld = spielfeld.liesEingabe();
        }

        spielfeld.setzeZeichen1(feld);
        spielerAmZug = !spielerAmZug;
    }

    /**
     * Zug des Computers. Zunächst nur zufälliges Wählen des Feldes.
     *
     */
    private void computerZug(){

        int feld = gibZufallszahl();  
        System.out.println("Der Computer ist am Zug...");
        warten(2000);
        while(spielfeld.ueberpruefeFeldFrei(feld) == false){ 
            feld = gibZufallszahl(); 
        }

        spielfeld.setzeZeichen2(feld);
        spielerAmZug = !spielerAmZug;
    }

    /**
     * Gibt den Spielausgang auf der Konsole aus.
     *
     */    
    private void gibSpielendeAus(){
        //Die Methode ermittleSieger gibt den Sieger des Spiels zurueck
        sieger = spielfeld.ermittleSieger();
        System.out.println(sieger +" hat gewonnen!");
    }

    /**Versetzt das Programm für die übergebene Dauer (in Millisekunden) in einen Schlafzustand*/
    private void warten(int ms){
        try{
            Thread.sleep(ms);
        }catch(InterruptedException e){

        }
    }

    /**Gibt eine Zufallszahl zwischen 0 und 9 zurück*/
    private int gibZufallszahl(){
        return (int )(Math.random() * 9);
    }

}
